package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.Relation;
import com.diagbot.vo.AllRelationVo;
import com.diagbot.vo.RelationVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationService extends IService<Relation> {
    public IPage<RelationDTO> getAllRelation(AllRelationVo allrelationVo);

    public List<RelationDTO> getRelation(RelationDTO relationDTO);

    public RelationDTO getRelationbyName(RelationVo relationVo);

    public void truncateRelation();

    public List<Relation> getLimboRelation();
}
